Added notes about BIND moving to pkgsrc version for <2.7 -> 2.8 upgrades.
authorJustin C. Sherrill <justin@leaf.dragonflybsd.org>
Mon, 27 Sep 2010 02:02:30 +0000 (19:02 -0700)
committerJustin C. Sherrill <justin@leaf.dragonflybsd.org>
Mon, 27 Sep 2010 02:02:30 +0000 (19:02 -0700)
UPDATING

index 3bb16e7..31ed81a 100644 (file)
--- a/UPDATING
+++ b/UPDATING
@@ -15,6 +15,9 @@
 +         UPGRADING DRAGONFLY FROM 2.6 to 2.8 or HEAD
 +-----------------------------------------------------------------------+
 
+Loader
+=======
+
 A new loader (dloader) has been added which better handles booting from
 multiple kernel/module versions.
 
@@ -30,6 +33,17 @@ To upgrade (Only for this upgrade, for post 2.8 upgrades see GENERAL below)
 Note that you must installworld and run the 'upgrade' target before
 installing the new kernel.
 
+BIND
+=====
+
+BIND has been removed from the base system.  The ldns and drill tools have 
+been added for basic functionality.  Use 'drill' where you would normally 
+use nslookup or dig, or install BIND from pkgsrc.  It's available as 
+net/bind95, net/bind96, or net/bind97 as of this writing.
+
+This only affects older systems upgrading to 2.8.  New 2.8+ installs 
+include BIND as a pkgsrc package.
+
 +-----------------------------------------------------------------------+
 +         UPGRADING DRAGONFLY ON AN EXISTING DRAGONFLY SYSTEM          +
 +                              GENERAL                                 +